1. Tickets
Caldasa API Docs
  • Availability
    • List availability slots
      GET
  • Bookings
    • List bookings
      GET
    • Create a booking
      POST
    • Get a booking
      GET
    • Cancel a booking
      POST
    • List signed forms
      GET
    • Get a signed-form download URL
      GET
  • Customers
    • List customers
      GET
    • Create a customer
      POST
    • Get a customer
      GET
    • Update a customer
      PATCH
    • List customer activities
      GET
    • List customer notes
      GET
    • Create a customer note
      POST
    • Update a customer note
      PATCH
    • Delete a customer note
      DELETE
    • Send a customer message
      POST
  • Events
    • List events
      GET
    • Create an event
      POST
    • Get an event
      GET
    • Update an event
      PATCH
    • List ticket types
      GET
    • Create a ticket type
      POST
    • Get ticket sales report
      GET
    • Publish an event
      POST
    • Cancel an event
      POST
    • Update a ticket type
      PATCH
    • Delete a ticket type
      DELETE
    • List ticket orders
      GET
    • Cancel a ticket order
      POST
    • Resend ticket QR codes
      POST
  • Forms
    • List form templates
    • Get a form template
  • Locations
    • List locations
    • Create a location
    • Get a location
    • Update a location
    • Delete a location
    • List business hours
    • Replace business hours
    • Update location address
    • List location staff
    • Assign staff to a location
    • Unassign staff from a location
  • Orders
    • List orders
    • Get an order
  • Reservables
    • List reservables
    • Create a reservable
    • Get a reservable
    • Update a reservable
    • Delete a reservable
    • List reservable variants
    • List reservable staff
  • Resources
    • List resources
    • Create a resource
    • Get a resource
    • Update a resource
    • Delete a resource
    • List resource types
    • Create a resource type
    • Get a resource type
    • Update a resource type
    • Delete a resource type
  • Reviews
    • List reviews
    • Moderate a review
  • Staff
    • List staff members
    • Create a staff member
    • Get a staff member
    • Update a staff member
    • Delete a staff member
    • List staff shifts
    • Create a staff shift
    • List staff blocks
    • Create a staff block
    • Delete a staff shift
    • Delete a staff block
  • Tenant
    • Get the current tenant
  • Tickets
    • Redeem a ticket
      POST
  • Webhooks
    • List event types
    • Get an event-type sample
    • List webhooks
    • Create a webhook
    • Update a webhook
    • Delete a webhook
    • Rotate webhook secret
    • Send a test event
    • List webhook deliveries
  • Schemas
    • CancelPublicTicketOrderRequest
    • CreatePublicBookableEventRequest
    • CreatePublicBookingItemRequest
    • CreatePublicBookingRequest
    • CreatePublicBusinessLocationRequest
    • CreatePublicCustomerNoteRequest
    • CreatePublicCustomerRequest
    • CreatePublicReservableRequest
    • CreatePublicResourceRequest
    • CreatePublicResourceTypeRequest
    • CreatePublicStaffBlockRequest
    • CreatePublicStaffMemberRequest
    • CreatePublicStaffShiftRequest
    • CreatePublicTicketTypeRequest
    • CreatePublicWebhookSubscriptionRequest
    • ModeratePublicReviewRequest
    • ProblemDetails
    • PublicAvailabilityResponse
    • PublicAvailabilitySlotDto
    • PublicBookableEventAttendeeDto
    • PublicBookableEventBookingSummaryDto
    • PublicBookableEventDetailDto
    • PublicBookableEventDto
    • PublicBookableEventListResponse
    • PublicBookingDto
    • PublicBookingItemDto
    • PublicBookingListResponse
    • PublicBookingResourceSelection
    • PublicBusinessHourDto
    • PublicBusinessHourListResponse
    • PublicBusinessLocationDto
    • PublicBusinessLocationListResponse
    • PublicBusinessLocationStaffDto
    • PublicBusinessLocationStaffListResponse
    • PublicCustomerActivityDto
    • PublicCustomerActivityListResponse
    • PublicCustomerDto
    • PublicCustomerListResponse
    • PublicCustomerNoteDto
    • PublicCustomerNoteListResponse
    • PublicFormTemplateDto
    • PublicFormTemplateFieldDto
    • PublicFormTemplateListResponse
    • PublicOrderDetailDto
    • PublicOrderDto
    • PublicOrderLineItemDto
    • PublicOrderListResponse
    • PublicOrderTicketDto
    • PublicReservableDto
    • PublicReservableListResponse
    • PublicReservableResourceSummary
    • PublicReservableStaffDto
    • PublicReservableStaffListResponse
    • PublicReservableVariantDto
    • PublicReservableVariantListResponse
    • PublicResourceDto
    • PublicResourceListResponse
    • PublicResourceTypeDto
    • PublicResourceTypeListResponse
    • PublicReviewDto
    • PublicReviewListResponse
    • PublicSignedFormDownloadDto
    • PublicSignedFormDto
    • PublicSignedFormListResponse
    • PublicStaffBlockDto
    • PublicStaffBlockListResponse
    • PublicStaffMemberDto
    • PublicStaffMemberListResponse
    • PublicStaffShiftDto
    • PublicStaffShiftListResponse
    • PublicTenantDto
    • PublicTicketOrderDto
    • PublicTicketOrderTicketDto
    • PublicTicketOrdersResponse
    • PublicTicketRedemptionResultDto
    • PublicTicketSalesReportDto
    • PublicTicketSalesReportTier
    • PublicTicketTypeDto
    • PublicTicketTypeListResponse
    • PublicWebhookDeliveryDto
    • PublicWebhookDeliveryListResponse
    • PublicWebhookEventDescriptorDto
    • PublicWebhookEventTypeListResponse
    • PublicWebhookSubscriptionDto
    • PublicWebhookSubscriptionListResponse
    • PublicWebhookSubscriptionWithSecretDto
    • RedeemPublicTicketRequest
    • SendPublicCustomerMessageRequest
    • SendPublicCustomerMessageResult
    • UpdatePublicBookableEventRequest
    • UpdatePublicBusinessHourEntry
    • UpdatePublicBusinessHoursRequest
    • UpdatePublicBusinessLocationAddressRequest
    • UpdatePublicBusinessLocationDetailsRequest
    • UpdatePublicCustomerNoteRequest
    • UpdatePublicCustomerRequest
    • UpdatePublicReservableRequest
    • UpdatePublicResourceRequest
    • UpdatePublicResourceTypeRequest
    • UpdatePublicStaffMemberRequest
    • UpdatePublicTicketTypeRequest
    • UpdatePublicWebhookSubscriptionRequest
    • ValidationProblemDetails
  1. Tickets

Redeem a ticket

POST
https://prod.your-api-server.com/tickets/redeem
Last modified:2026-04-29 08:09:11
Redeems a ticket token for the given event. First scan wins — re-scans
return AlreadyRedeemed. Set override=true to bypass the
doors-open grace check for VIPs / staff. Every attempt is recorded in
the audit log.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Example
{
    "bookableEventId": "8bf47dbd-19fc-4a7d-bf2f-e95dfd3ac955",
    "token": "string",
    "door": "string",
    "override": true,
    "notes": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://prod.your-api-server.com/tickets/redeem' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "bookableEventId": "8bf47dbd-19fc-4a7d-bf2f-e95dfd3ac955",
    "token": "string",
    "door": "string",
    "override": true,
    "notes": "string"
}'

Responses

🟢200
application/json
OK
Body

Example
{
    "outcome": "string",
    "ticketId": "e3e3e8ea-b02a-4536-85a2-a9c90f4ee74f",
    "holderName": "string",
    "ticketTypeName": "string",
    "previouslyRedeemedAt": "2019-08-24T14:15:22.123Z",
    "previouslyRedeemedByUserId": "81e7946a-e66f-4c95-bbea-7fb0ce0204f5",
    "previouslyRedeemedAtDoor": "string",
    "message": "string"
}
🟠400
🟠401
🟠409
🟠429
🔴500
Modified at 2026-04-29 08:09:11
Previous
Get the current tenant
Next
List event types
Built with